# Introduction

Access resources on the PhantomMovies.com platform via our API and seamlessly build on top of our platform, integrate it into your own products, and more.

{% hint style="warning" %}
**Important**: These Docs are ever changing and will update periodically as our API does
{% endhint %}

{% hint style="danger" %}
**Important**: You are in an <mark style="color:red;">Under Development Area.</mark> All endpoints in this area do work but are subject to change. Endpoints that start with ✅ have been completely migrated to `v3.`
{% endhint %}

## Getting Started

To get started, create a new API key  in your [user dashboard](https://phantommovies.com/user/profile/dashboard/edit), then read on about how to make requests for the resources you need to access using our API endpoints

## SDKs & Extensions

Official PhantomMovies.com Node.js Wrapper

{% content-ref url="/pages/d49ahvtNV04rJW7dgE4f" %}
[Quick Start](/quick-start)
{% endcontent-ref %}

## Want to deep dive?

Dive a little deeper and start exploring our API reference to get an idea of everything that's possible with the API:

{% content-ref url="/pages/Ptvh6nK6hwW2uzbawVMO" %}
[Broken mention](broken://pages/Ptvh6nK6hwW2uzbawVMO)
{% endcontent-ref %}


# Quick Start

## Get your API key

Your API requests are authenticated using API keys. Any request that doesn't include an API key will return an error.

You can generate a new API key in your [user dashboard](https://phantommovies.com/user/profile/dashboard/edit) at anytime&#x20;

## Install the library

The best way to interact with our API is to use one of our official libraries:

{% tabs %}
{% tab title="Node" %}

```
# Install via NPM
npm install phantom-movies
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
**Tip:** Join our [Discord Server](https://discord.gg/7hGWepuMe5) for updates & new features.
{% endhint %}

## Make your first request

To make your first request, send an query request to the movies endpoint with the title of the movie.

## Search Movie

<mark style="color:blue;">`GET`</mark> `https://api.phantommovies.com/3/movies/movie`

Search for a movie title.

#### Query Parameters

| Name                                          | Type   | Description                             |
| --------------------------------------------- | ------ | --------------------------------------- |
| accessToken<mark style="color:red;">\*</mark> | String | Your API Key                            |
| title<mark style="color:red;">\*</mark>       | String | The `title` of the movie being searched |

{% tabs %}
{% tab title="200: OK Movie Found" %}

```javascript
{
    title: "Avatar: The Way Of Water",
    cover: "https://www.themoviedb.org/t/p/original/t6HIqrRAclMCA60NsSmeqe9RmNV.jpg",
    banner: "https://www.themoviedb.org/t/p/original/198vrF8k7mfQ4FjDJsBmdQcaiyq.jpg",
    trailer: "https://www.youtube.com/watch?v=o5F8MOz_IDw",
    description: "Set more than a decade after the events of the first film, learn the story of the Sully family (Jake, Neytiri, and their kids), the trouble that follows them, the lengths they go to keep each other safe, the battles they fight to stay alive, and the tragedies they endure.",
    rating: "PG-13",
    releaseYear: "2022",
    length: "3h 12m",
    primegenre: "Sci-Fi",
    genres: {
        genre: [
            "Action",
            "Adventure",
            "Sci-Fi"
        ]
    },
    statistics: {
        views: 160,
        votes: 0
    },
    stream: "https://dood.re/e/t1trpkm17b7yxfa4gwsh3l99vt7kl521",
    url: "https://ologyyvidss.com/movies/Avatar:%20The%20Way%20Of%20Water"
}
```

{% endtab %}

{% tab title="404: Not Found No Result" %}

```javascript
{
    status: "nothing_found",
    message: "No movies found."
}
```

{% endtab %}
{% endtabs %}

Take a look at how you might call this method using our official library, `node`:

{% tabs %}
{% tab title="Node" %}

```javascript
// require ologyyvidss module and set it up with your API key
const PhantomMovies = require("phantom-movies");
const API = new PhantomMovies.API("YOUR_API_KEY");

API.searchMovie("Avatar: The Way of Water").then((res) => {
	console.log(res); // Get information on the Movie with the Title Avatar: The Way of Water
});
```

{% endtab %}
{% endtabs %}


# Movies

Overview of all Movie related endpoints.

{% hint style="danger" %}
You are in an <mark style="color:red;">Under Development Area.</mark> All endpoints in this area do work but are subject to change. Endpoints that start with ✅ have been completely migrated to `v3.`
{% endhint %}

## Overview:

Phantom Movies provides multiple ways to search, discover and find information on movies. With our endpoints users are able to create many different types of projects / applications.

### Available Endpoints

{% content-ref url="/pages/68qiOK9acrZvn2iNj1P0" %}
[Latest Movies](/api-reference/movies/latest-movies)
{% endcontent-ref %}

{% content-ref url="/pages/3O9Q29JgATBNxdP6xzqk" %}
[Trending Movies](/api-reference/movies/trending-movies)
{% endcontent-ref %}

{% content-ref url="/pages/8w5fXbKGLKThiODFwBXR" %}
[Top Rated Movies](/api-reference/movies/top-rated-movies)
{% endcontent-ref %}

{% content-ref url="/pages/DF11Y0FC9XFKnBEsBntv" %}
[Search](/api-reference/movies/search)
{% endcontent-ref %}

{% content-ref url="/pages/VKPziHGYX86tZ4pzd6bJ" %}
[Details](/api-reference/movies/details)
{% endcontent-ref %}

{% content-ref url="/pages/6e2h8TDt5QUaYSYBCpcA" %}
[Genre](/api-reference/movies/genre)
{% endcontent-ref %}


# Details

## Movie Details

## Movie Details.

<mark style="color:blue;">`GET`</mark> `https://api.phantommovies.com/3/movies/movie/id`

Get a Movies Details.

#### Query Parameters

| Name                                          | Type   | Description                      |
| --------------------------------------------- | ------ | -------------------------------- |
| accessToken<mark style="color:red;">\*</mark> | String | Your API Key                     |
| title<mark style="color:red;">\*</mark>       | String | Movie `title` being searched for |
| year                                          | String | Movies `release year`            |
| <mark style="color:red;">\*</mark>            | String | id of the movie                  |

{% tabs %}
{% tab title="200 Movie Found" %}

```javascript
{
    title: "Avatar: The Way Of Water",
    cover: "https://www.themoviedb.org/t/p/original/t6HIqrRAclMCA60NsSmeqe9RmNV.jpg",
    banner: "https://www.themoviedb.org/t/p/original/198vrF8k7mfQ4FjDJsBmdQcaiyq.jpg",
    trailer: "https://www.youtube.com/watch?v=o5F8MOz_IDw",
    description: "Set more than a decade after the events of the first film, learn the story of the Sully family (Jake, Neytiri, and their kids), the trouble that follows them, the lengths they go to keep each other safe, the battles they fight to stay alive, and the tragedies they endure.",
    rating: "PG-13",
    releaseYear: "2022",
    length: "3h 12m",
    primegenre: "Sci-Fi",
    genres: {
        genre: [
            "Action",
            "Adventure",
            "Sci-Fi"
        ]
    },
    statistics: {
        views: 160,
        votes: 0
    },
    stream: "https://dood.re/e/t1trpkm17b7yxfa4gwsh3l99vt7kl521",
    url: "https://ologyyvidss.com/movies/Avatar:%20The%20Way%20Of%20Water"
}
```

{% endtab %}

{% tab title="401 Permission denied" %}

```javascript
{
    status: "nothing_found",
    message: "No movies found."
}
```

{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="Curl" %}

```javascript
curl -X GET "https://api.phantommovies.com/3/movies/movie?title=YOUR_TITLE_HERE" -H "Authorization: Bearer YourAPIKey"
```

{% endtab %}

{% tab title="Node.js" %}

```javascript
const axios = require('axios');

axios.get('https://api.phantommovies.com/3/movies/movie?accessToken=YourAPIKey&title=Dune')
  .then(response => {
    // Handle the response data
    const movies = response.data;
    console.log('Movies:', movies);
  })
  .catch(error => {
    // Handle the error
    console.error('Error:', error.message);
  });
```

{% endtab %}
{% endtabs %}

### SDK Usage

Search Movie using our official library, `node`:

{% tabs %}
{% tab title="movieDetails()" %}

```javascript
API.movieDetails("title").then((res) => {
	console.log(res);
});
```

{% endtab %}
{% endtabs %}


# Latest Movies

## Latest Movies

## Get Latest Movies

<mark style="color:blue;">`GET`</mark> `https://api.phantommovies.com/3/movies/latest`

Get all Latest movies

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    // Response
}
```

{% endtab %}

{% tab title="404: Not Found " %}

```javascript
{
    status: "nothing_found",
    message: "No movies found."
}
```

{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="Curl" %}

```
curl -X GET "https://api.phantommovies.com/3/movies/movie/latest -H "Authorization: Bearer YourAPIKey"
```

{% endtab %}

{% tab title="Node.js" %}

```javascript
const axios = require('axios');

axios.get('https://api.phantommovies.com/3/movies/latest?accessToken=YourAPIKey')
  .then(response => {
    // Handle the response data
    const movies = response.data;
    console.log('Movies:', movies);
  })
  .catch(error => {
    // Handle the error
    console.error('Error:', error.message);
  });
```

{% endtab %}
{% endtabs %}

### SDK Usage

Get Latest Movies using our official library, `node`:

{% tabs %}
{% tab title="getLatestMovies()" %}

```javascript
API.getLatestMovies().then((res) => {
	console.log(res);
});
```

{% endtab %}
{% endtabs %}


# Trending Movies

## Trending Movies

## Get Trending Movies

<mark style="color:blue;">`GET`</mark> `https://api.phantommovies.com/3/movies/trending`

Get all Trending movies

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    // Response
}
```

{% endtab %}

{% tab title="404: Not Found " %}

```javascript
{
    status: "nothing_found",
    message: "No movies found."
}
```

{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="Curl" %}

```
curl -X GET "https://api.phantommovies.com/3/movies/movie/trending -H "Authorization: Bearer YourAPIKey"
```

{% endtab %}

{% tab title="Node.js" %}

```javascript
const axios = require('axios');

axios.get('https://api.phantommovies.com/3/movies/trending?accessToken=YourAPIKey')
  .then(response => {
    // Handle the response data
    const movies = response.data;
    console.log('Movies:', movies);
  })
  .catch(error => {
    // Handle the error
    console.error('Error:', error.message);
  });
```

{% endtab %}
{% endtabs %}

Get Trending Movies using our official library, `node`:

{% tabs %}
{% tab title="getTrendingMovies()" %}

```javascript
API.getTrendingMovies().then((res) => {
	console.log(res);
});
```

{% endtab %}
{% endtabs %}


# Top Rated Movies

## Top Rated Movies

## Get Top Rated Movies

<mark style="color:blue;">`GET`</mark> `https://api.phantommovies.com/3/movies/top_rated`

Get all Top Rated movies

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    // Response
}
```

{% endtab %}

{% tab title="404: Not Found " %}

```javascript
{
    status: "nothing_found",
    message: "No movies found."
}
```

{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="First Tab" %}

```
curl -X GET "https://api.phantommovies.com/3/movies/movie/top_rated-H "Authorization: Bearer YourAPIKey"
```

{% endtab %}

{% tab title="Node.js" %}

```javascript
const axios = require('axios');

axios.get('https://api.phantommovies.com/3/movies/top_rated?accessToken=YourAPIKey')
  .then(response => {
    // Handle the response data
    const movies = response.data;
    console.log('Movies:', movies);
  })
  .catch(error => {
    // Handle the error
    console.error('Error:', error.message);
  });
```

{% endtab %}
{% endtabs %}

### SDK Usage

Get Top Rated Movies using our official library, `node`:

{% tabs %}
{% tab title="getTopRatedMovies()" %}

```javascript
API.getLatestMovies().then((res) => {
	console.log(res);
});
```

{% endtab %}
{% endtabs %}


# Genre

## Search Genre

## Search Genre.

<mark style="color:blue;">`GET`</mark> `https://api.phantommovies.com/3/movies/genre`

Search for a movie.

#### Query Parameters

| Name                                          | Type   | Description               |
| --------------------------------------------- | ------ | ------------------------- |
| accessToken<mark style="color:red;">\*</mark> | String | Your API Key              |
| genre<mark style="color:red;">\*</mark>       | String | Search Movies by  `genre` |

{% tabs %}
{% tab title="200 Movie Found" %}

```javascript
{
    title: "Avatar: The Way Of Water",
    cover: "https://www.themoviedb.org/t/p/original/t6HIqrRAclMCA60NsSmeqe9RmNV.jpg",
    banner: "https://www.themoviedb.org/t/p/original/198vrF8k7mfQ4FjDJsBmdQcaiyq.jpg",
    trailer: "https://www.youtube.com/watch?v=o5F8MOz_IDw",
    description: "Set more than a decade after the events of the first film, learn the story of the Sully family (Jake, Neytiri, and their kids), the trouble that follows them, the lengths they go to keep each other safe, the battles they fight to stay alive, and the tragedies they endure.",
    rating: "PG-13",
    releaseYear: "2022",
    length: "3h 12m",
    primegenre: "Sci-Fi",
    genres: {
        genre: [
            "Action",
            "Adventure",
            "Sci-Fi"
        ]
    },
    statistics: {
        views: 160,
        votes: 0
    },
    stream: "https://dood.re/e/t1trpkm17b7yxfa4gwsh3l99vt7kl521",
    url: "https://ologyyvidss.com/movies/Avatar:%20The%20Way%20Of%20Water"
}
```

{% endtab %}

{% tab title="401 Permission denied" %}

```javascript
{
    status: "nothing_found",
    message: "No movies found."
}
```

{% endtab %}
{% endtabs %}

Search Movie using our official library, `node`:

{% tabs %}
{% tab title="getMovieGenre()" %}

```javascript
API.getMovieGenre("genre").then((res) => {
	console.log(res);
});
```

{% endtab %}
{% endtabs %}


# Search

## Search Movie

## Search Movie.

<mark style="color:blue;">`GET`</mark> `https://api.phantommovies.com/3/search/movie`

Search for a movie.

#### Query Parameters

| Name                                          | Type   | Description                      |
| --------------------------------------------- | ------ | -------------------------------- |
| accessToken<mark style="color:red;">\*</mark> | String | Your API Key                     |
| title<mark style="color:red;">\*</mark>       | String | Movie `title` being searched for |
| year                                          | String | Movie `release year`             |

{% tabs %}
{% tab title="200 Movie Found" %}

```javascript
{
    title: "Avatar: The Way Of Water",
    cover: "https://www.themoviedb.org/t/p/original/t6HIqrRAclMCA60NsSmeqe9RmNV.jpg",
    banner: "https://www.themoviedb.org/t/p/original/198vrF8k7mfQ4FjDJsBmdQcaiyq.jpg",
    trailer: "https://www.youtube.com/watch?v=o5F8MOz_IDw",
    description: "Set more than a decade after the events of the first film, learn the story of the Sully family (Jake, Neytiri, and their kids), the trouble that follows them, the lengths they go to keep each other safe, the battles they fight to stay alive, and the tragedies they endure.",
    rating: "PG-13",
    releaseYear: "2022",
    length: "3h 12m",
    primegenre: "Sci-Fi",
    genres: {
        genre: [
            "Action",
            "Adventure",
            "Sci-Fi"
        ]
    },
    statistics: {
        views: 160,
        votes: 0
    },
    stream: "https://dood.re/e/t1trpkm17b7yxfa4gwsh3l99vt7kl521",
    url: "https://ologyyvidss.com/movies/Avatar:%20The%20Way%20Of%20Water"
}
```

{% endtab %}

{% tab title="401 Permission denied" %}

```javascript
{
    status: "nothing_found",
    message: "No movies found."
}
```

{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="Curl" %}

```javascript
curl -X GET "https://api.phantommovies.com/3/search/movie?title=YOUR_TITLE_HERE" -H "Authorization: Bearer YourAPIKey"
```

{% endtab %}

{% tab title="Node.js" %}

```javascript
const axios = require('axios');

axios.get('https://api.phantommovies.com/3/search/movie?accessToken=YourAPIKey&title=Dune')
  .then(response => {
    // Handle the response data
    const movies = response.data;
    console.log('Movies:', movies);
  })
  .catch(error => {
    // Handle the error
    console.error('Error:', error.message);
  });
```

{% endtab %}
{% endtabs %}

### SDK Usage

Search Movie using our official library, `node`:

{% tabs %}
{% tab title="searchMovie()" %}

```javascript
API.searchMovie("title").then((res) => {
	console.log(res);
});
```

{% endtab %}
{% endtabs %}


# Tv

## Search Movie

## Search Tv Series.

<mark style="color:blue;">`GET`</mark> `https://api.phantommovies.com/3/tv/series`

Search for a Tv Series.

#### Query Parameters

| Name                                          | Type   | Description                       |
| --------------------------------------------- | ------ | --------------------------------- |
| accessToken<mark style="color:red;">\*</mark> | String | Your API Key                      |
| title<mark style="color:red;">\*</mark>       | String | Series `title` being searched for |

{% tabs %}
{% tab title="200 Series Found" %}

<pre class="language-javascript"><code class="lang-javascript">{
    title: "Halo",
    cover: "https://www.themoviedb.org/t/p/original/nJUHX3XL1jMkk8honUZnUmudFb9.jpg",
<strong>    banner: "https://www.themoviedb.org/t/p/original/1qpUk27LVI9UoTS7S0EixUBj5aR.jpg",
</strong>    trailer: "https://youtu.be/WZ2v5eMlcrY",
    description: "Depicting an epic 26th-century conflict between humanity and an alien threat known as the Covenant, the series weaves deeply drawn personal stories with action, adventure and a richly imagined vision of the future.",
    totalSeasons: "1",
    releaseYear: "2022",
    primegenre: "Sci-Fi",
<strong>    genres: {
</strong>        genre: [
            "Action",
<strong>            "Adventure",
</strong><strong>            "Sci-Fi",
</strong>            "Fantasy"
<strong>        ]
</strong>    },
    seasons: [],
<strong>    statistics: {
</strong>        views: 139,
        votes: 0
    },
    url: "https://phantommovies.com/tv/series/Halo"
}
</code></pre>

{% endtab %}

{% tab title="401 Permission denied" %}

```javascript
{
    status: "nothing_found",
    message: "No movies found."
}
```

{% endtab %}
{% endtabs %}

Search Tv Series using our official library, `node`:

{% tabs %}
{% tab title="searchMovie()" %}

```javascript
API.searchTvSeries("title").then((res) => {
	console.log(res);
});
```

{% endtab %}
{% endtabs %}


# Genres

## View all Genres

## View all Genres.

<mark style="color:blue;">`GET`</mark> `https://api.phantommovies.com/3/genres`

View all Phantom Movies Genres.

#### Query Parameters

| Name                                          | Type   | Description  |
| --------------------------------------------- | ------ | ------------ |
| accessToken<mark style="color:red;">\*</mark> | String | Your API Key |

{% tabs %}
{% tab title="200 Genres" %}

```javascript
{
genres: [
{
id: 28,
name: "Action",
backdrop: "https://phantommovies.com/images/genre/Action-genre.jpg",
extra: "/3/movies/genre?Action"
},
{
id: 12,
name: "Adventure",
backdrop: "https://phantommovies.com/images/genre/Adventure-genre.jpg",
extra: "/3/movies/genre?Adventure"
},
{
id: 16,
name: "Animation",
backdrop: "https://phantommovies.com/images/genre/Animation-genre.jpg",
extra: "/3/movies/genre?Animation"
},
{
id: 410,
name: "Biography",
backdrop: "https://phantommovies.com/images/genre/Biography-genre.jpg",
extra: "/3/movies/genre?Biography"
},
{
id: 35,
name: "Comedy",
backdrop: "https://phantommovies.com/images/genre/Comedy-genre.jpg",
extra: "/3/movies/genre?Comedy"
},
{
id: 80,
name: "Crime",
backdrop: "https://phantommovies.com/images/genre/Crime-genre.jpg",
extra: "/3/movies/genre?Crime"
},
{
id: 99,
name: "Documentary",
backdrop: "https://phantommovies.com/images/genre/Documentary-genre.jpg",
extra: "/3/movies/genre?Documentary"
},
{
id: 18,
name: "Drama",
backdrop: "https://phantommovies.com/images/genre/Drama-genre.jpg",
extra: "/3/movies/genre?Drama"
}
]
}
```

{% endtab %}

{% tab title="401 Permission denied" %}

```javascript
{
    status: "nothing_found",
    message: "No movies found."
}
```

{% endtab %}
{% endtabs %}

Search Movie using our official library, `node`:

{% hint style="warning" %}
Endpoint in development
{% endhint %}


